babel-plugin-import

v1.13.0

Component modular import plugin for babel.

MIT
Latest version published 11 months ago
    npm install babel-plugin-import
  

Package Health Score

77 / 100
  • Popularity
    Influential project
  • Maintenance
    Sustainable
  • Security
    No known security issues
  • Community
    Sustainable

Popularity

Influential project
Weekly Downloads (267,781)
Dependents
6.45K
GitHub Stars
2.46K
Forks
336
Contributors
41

The npm package babel-plugin-import receives a total of 267,781 downloads a week. As such, we scored babel-plugin-import popularity level to be Influential project.

Based on project statistics from the GitHub repository for the npm package babel-plugin-import, we found that it has been starred 2,465 times, and that 6,450 other projects on the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues

Security and license risk for recent versions


Direct Vulnerabilities

1.11.2
1.12.0
1.12.1
1.12.2
1.13.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

1.11.2
1.12.0
1.12.1
1.12.2
1.13.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

License Risks

1.11.2
1.12.0
1.12.1
1.12.2
1.13.0
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Security Policy
No
All security vulnerabilities belong to production dependencies of direct and indirect packages.

You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

We found a way for you to contribute to the project! Looks like babel-plugin-import is missing a security policy.

    # Install the Snyk CLI and test your project
npm i snyk && snyk test babel-plugin-import
Fix it in your project with Snyk!

Maintenance

Sustainable
Commit Frequency
Open Issues
97
Merged PR
94
Open PR
11
Last Commit
12 days ago

Further analysis of the maintenance status of babel-plugin-import based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Sustainable.

We found that babel-plugin-import demonstrates a positive version release cadence with at least one new version released in the past 12 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Sustainable
Readme.md
Yes
Contributing.md
No
Code of Conduct
No
Contributors
41
Funding
No
License
MIT

With more than 10 contributors for the babel-plugin-import repository, this is possibly a sign for a growing and inviting community.

We found a way for you to contribute to the project! Looks like babel-plugin-import is missing a Code of Conduct.

Package

Node.js Compatibility
not defined

Age
4 years
Dependencies
2 Direct / 7 Total
Versions
31
Install Size
32.8 kB
Dist-tags
2
# of Files
6
Maintainers
4
TS Typings
No

We detected a total of 7 direct & transitive dependencies for babel-plugin-import. See the full dependency tree of babel-plugin-import

babel-plugin-import has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.